## udisks-automounter 0.0.2

=== Makefile ===
VERSION=0.0.2

default: udisks-automounter

CFLAGS?= -O2
PREFIX?=/usr/local

udisks-automounter.c udisks-dbus-interfaces.c : udisks-automounter.vala udisks-dbus-interfaces.vala
	valac --pkg dbus-glib-1 --pkg gio-2.0 -C $^

udisks-automounter: udisks-automounter.c udisks-dbus-interfaces.c
	gcc $(CFLAGS) $(LDFLAGS) -o udisks-automounter `pkg-config --cflags --libs glib-2.0 gio-2.0 dbus-glib-1` $^

dist: udisks-automounter.c udisks-dbus-interfaces.c
	mkdir udisks-automounter-$(VERSION)
	cp -a data *.vala *.c COPYING Makefile udisks-automounter-$(VERSION)
	tar c udisks-automounter-$(VERSION) | gzip -9 > ../udisks-automounter-$(VERSION).tar.gz
	rm -r udisks-automounter-$(VERSION)

install: udisks-automounter
	install -m 755 -D udisks-automounter $(DESTDIR)/$(PREFIX)/bin/udisks-automounter
	install -m 644 -D data/udisks-automounter.desktop $(DESTDIR)/etc/xdg/autostart/udisks-automounter.desktop

uninstall:
	rm -f $(DESTDIR)/$(PREFIX)/bin/udisks-automounter $(DESTDIR)/etc/xdg/autostart/udisks-automounter.desktop

distclean clean:
	rm -f udisks-automounter

mrproper: clean
	rm -f *.c

.PHONY: default dist clean install

=== debian/changelog ===
udisks-automounter (0.0.2-0pitti1) lucid; urgency=low

  * New upstream release:
    - Add pcmanfm and emelfm2 file managers (LP: #643600)
    - Do not put entire main loop under try/catch, to avoid abort on mount
      failure
    - Mount already existing devices on startup (coldplugging).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 05 Oct 2010 19:08:54 +0200

udisks-automounter (0.0.1-0pitti1) lucid; urgency=low

  * Initial release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 17 Sep 2010 18:27:21 +0200

=== debian/control ===
Source: udisks-automounter
Section: utils
Priority: extra
Maintainer: Martin Pitt <martin.pitt@ubuntu.com>
Build-Depends: debhelper (>= 7),
 libdbus-glib-1-dev,
 libglib2.0-dev,
 pkg-config
Standards-Version: 3.9.1
Homepage: https://launchpad.net/udisks-automounter
Vcs-Bzr: https://code.launchpad.net/~pitti/udisks-automounter/ppa/
Vcs-Browser: http://bazaar.launchpad.net/~pitti/udisks-automounter/ppa

Package: udisks-automounter
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 udisks
Recommends: uxlaunch | x-session-manager
Description: tiny udisks based automount service
 udisks-automounter is a very small session daemon which automounts hotplugged
 drives and opens nautilus or Thunar on them.
 .
 Complete desktop environments like GNOME, KDE, or XFCE already bring their
 own automount service. So this is mostly useful on tiny embedded systems which
 do not want to run Thunar/nautilus and even gvfs by default.
 .
 This service gets started with an XDG autostart .desktop file. If your desktop
 environment does not support /etc/xdg/autostart/, you have to start this
 manually.
